uuid: 54069829-d540-48cb-a1c4-5fefc9b04e89
langcode: en
status: true
dependencies:
  config:
    - field.field.paragraph.bp_columns_three_uneven.bp_background
    - field.field.paragraph.bp_columns_three_uneven.bp_column_content_3
    - field.field.paragraph.bp_columns_three_uneven.bp_column_style_3
    - field.field.paragraph.bp_columns_three_uneven.bp_gutter
    - field.field.paragraph.bp_columns_three_uneven.bp_image_field
    - field.field.paragraph.bp_columns_three_uneven.bp_title
    - field.field.paragraph.bp_columns_three_uneven.bp_title_status
    - field.field.paragraph.bp_columns_three_uneven.bp_width
    - field.field.paragraph.bp_columns_three_uneven.field_bp_classes
    - paragraphs.paragraphs_type.bp_columns_three_uneven
  module:
    - advanced_text_formatter
    - field_group
    - maxlength
    - paragraphs_features
    - paragraphs_previewer
third_party_settings:
  field_group:
    group_advanced:
      children:
        - bp_column_style_3
        - bp_background
        - field_bp_classes
      label: 'Styling settings'
      region: content
      parent_name: ''
      weight: 2
      format_type: details
      format_settings:
        classes: ''
        id: styling-settings
        open: false
        required_fields: true
    group_title:
      children:
        - bp_title
        - bp_title_status
      label: 'Component title'
      region: content
      parent_name: ''
      weight: 0
      format_type: details
      format_settings:
        classes: ''
        id: ''
        open: false
        description: ''
        required_fields: false
_core:
  default_config_hash: SQG5MSKbnUHPJdCfsGETbRLmHE3W-ZQce6u2v8HH3MI
id: paragraph.bp_columns_three_uneven.default
targetEntityType: paragraph
bundle: bp_columns_three_uneven
mode: default
content:
  bp_background:
    type: options_buttons
    weight: 24
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_column_content_3:
    type: paragraphs_previewer
    weight: 1
    region: content
    settings:
      title: Component
      title_plural: Components
      edit_mode: closed
      closed_mode: preview
      autocollapse: none
      closed_mode_threshold: '0'
      add_mode: modal
      form_display_mode: default
      default_paragraph_type: _none
      features:
        duplicate: duplicate
        collapse_edit_all: collapse_edit_all
        add_above: add_above
    third_party_settings:
      paragraphs_features:
        add_in_between: false
        delete_confirmation: true
        split_text: false
        show_drag_and_drop: true
  bp_column_style_3:
    type: options_buttons
    weight: 23
    region: content
    settings: {  }
    third_party_settings: {  }
  bp_title:
    type: string_textfield
    weight: 0
    region: content
    settings:
      size: 60
      placeholder: ''
    third_party_settings:
      maxlength:
        maxlength_js: null
        maxlength_js_label: 'Content limited to @limit characters, remaining: <strong>@remaining</strong>'
      advanced_text_formatter:
        show_token_tree: 0
  bp_title_status:
    type: boolean_checkbox
    weight: 0
    region: content
    settings:
      display_label: true
    third_party_settings: {  }
  field_bp_classes:
    type: options_select
    weight: 25
    region: content
    settings: {  }
    third_party_settings: {  }
  translation:
    weight: 10
    region: content
    settings: {  }
    third_party_settings: {  }
hidden:
  bp_gutter: true
  bp_image_field: true
  bp_width: true
  created: true
  status: true
  uid: true
